Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.common
Class IfsExceptionResolver

    java.lang.Object
      oracle.ifs.utils.common.IfsExceptionResolver

    public class IfsExceptionResolver

extends java.lang.Object

The `IfsExceptionResolver.java` class Helps Resolver relevant nls data from IfsException stacks.

Field Summary
`static java.lang.String` | `DEFAULT`
`protected PropertyBundle` | `m_bundle` the error map propertybundle
`protected int[]` | `m_errorMap` the error map
`protected LibrarySession` | `m_session` the session
`static java.lang.String` | `PROPERTY_BUNDLE_NAME`

Constructor Summary
`IfsExceptionResolver(LibrarySession session)` Constructs an ExceptionResolver loading default mapping
`IfsExceptionResolver(LibrarySession session, java.lang.String errorMap)` Constructs an ExceptionResolver loading mapping errorMap

Method Summary
`java.lang.String` | `getMessage(java.lang.Throwable e)` Takes an Exception and returns a message.
`IfsException` | `getMostRelevantException(IfsException e)` returns the most important Exception in the IfsException stack as determined by the loaded error map
`void` | `loadMapping(java.lang.String errorMap)` Loads a mapping, if IfsException is thrown internal errorMap not updated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final java.lang.String DEFAULT

See Also:
  Constant Field Values

### PROPERTY_BUNDLE_NAME

    public static final java.lang.String PROPERTY_BUNDLE_NAME

See Also:
  Constant Field Values

### m_bundle

    protected PropertyBundle m_bundle

  Description copied from class: `IfsExceptionResolver`
  the error map propertybundle

### m_errorMap

    protected int[] m_errorMap

  Description copied from class: `IfsExceptionResolver`
  the error map

### m_session

    protected LibrarySession m_session

  Description copied from class: `IfsExceptionResolver`
  the session

Constructor Detail

### IfsExceptionResolver

    public IfsExceptionResolver(LibrarySession session)
                         throws IfsException

  Constructs an ExceptionResolver loading default mapping

  Throws:
    `IfsException`

### IfsExceptionResolver

    public IfsExceptionResolver(LibrarySession session,
                                java.lang.String errorMap)
                         throws IfsException

  Constructs an ExceptionResolver loading mapping errorMap

  Throws:
    `IfsException`

Method Detail

### loadMapping

    public void loadMapping(java.lang.String errorMap)
                     throws IfsException

  Description copied from class: `IfsExceptionResolver`
  Loads a mapping, if IfsException is thrown internal errorMap not updated

  Throws:
    `IfsException`

### getMessage

    public java.lang.String getMessage(java.lang.Throwable e)

  Description copied from class: `IfsExceptionResolver`
  Takes an Exception and returns a message. If an IfsException, it gets the most relevant.

  Returns:
    String will not have newlines, but may be null

### getMostRelevantException

    public IfsException getMostRelevantException(IfsException e)

  Description copied from class: `IfsExceptionResolver`
  returns the most important Exception in the IfsException stack as determined by the loaded error map

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD